block-allocator.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Support::BlockAllocator< T, A, blocksize >
| Manage memory organized into block lists (allocator). More...
class | Gecode::Support::BlockClient< T, A, blocksize >
| Client for block allocator of type T. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Support
| Support algorithms and datastructures